<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/rl_screen"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".viewers.ImageViewerActivity">

    <!-- The primary full-screen view. This can be replaced with whatever view
         is needed to present your content, e.g. VideoView, SurfaceView,
         TextureView, etc. -->

    <!-- This FrameLayout insets its children based on system windows using
         android:fitsSystemWindows. -->

    <Button
        android:id="@+id/info"
        android:layout_width="match_parent"
        android:layout_height="100px"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:background="@drawable/uibutton"
        android:onClick="onClickInfo"
        android:text="@string/informations"
        android:textSize="25px"
        android:textStyle="bold" />

    <FrameLayout
        android:id="@+id/frame_viewer"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/info"
        android:layout_below="@+id/title">

        <ImageView
            android:id="@+id/imageView"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:layout_gravity="center"
            android:adjustViewBounds="true"
            android:cropToPadding="false"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:visibility="visible" />

    </FrameLayout>

    <TextView
        android:id="@+id/title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_alignParentStart="true"
        android:layout_alignParentTop="true"
        android:layout_toLeftOf="@+id/imageButton"
        android:layout_toStartOf="@+id/imageButton"
        android:onClick="onClick"
        android:text="Large Text"
        android:textAlignment="center"
        android:textAppearance="?android:attr/textAppearanceLarge"
        android:textSize="25dp"
        android:textStyle="bold" />

    <ImageButton
        android:id="@+id/imageButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@+id/frame_viewer"
        android:layout_alignParentEnd="true"
        android:layout_alignParentRight="true"
        android:layout_alignParentTop="true"
        android:background="#00000000"
        android:onClick="onClick"
        android:src="@android:drawable/ic_menu_crop" />

</RelativeLayout>
